/* reset */
#l-main>article,
#l-main>div,
#l-main>section {
  padding: 0;
}

#l-main>article>*,
#l-main>div>*,
#l-main>section>* {
  width: auto;
  max-width: none;
}

#l-main>section.intro-section {
  padding: 5em 18px 0;
}

#l-main {
  margin-left: auto;
  margin-right: auto;
  padding-bottom: 50px;
}

#btn-PageTop {
  margin-left: auto;
  margin-right: auto;
}

#l-footer {
  margin-left: auto;
  margin-right: auto;
}

@media screen and (min-width: 720px) {
  body {
    background-color: #1a1a1a;
  }

  #l-main {
    width: 500px;
    background-color: #000;
    box-shadow: 0px 0px 10px #000;
  }

  #btn-PageTop {
    width: 500px;
    box-shadow: 0px 0px 10px #000;
    z-index: 5;
    position: relative;
  }

  #l-footer {
    width: 500px;
    padding-left: 18px;
    padding-right: 18px;
    background-color: #000;
    box-shadow: 0px 0px 10px #000;
  }
}

li:not(:last-child) {
  margin-bottom: 0;
}

button {
  background-color: transparent;
  border: none;
  font-weight: normal;
  border-radius: 0;
}

.hidden-pc {
  display: none;
}

@media screen and (max-width: 350px) {
  .hidden-pc {
    display: block;
  }
}

/* intro-section */
.intro-section__title,
.intro-section__description {
  text-align: center;
}

.text-br {
  display: inline-block;
}

/* checklist-wrapper */
#l-main>section.checklist-wrapper {
  padding-top: 32px;
}

#l-main>section.checklist-wrapper:not(.checklist-wrapper.-add).is-initialized {
  padding-top: 32px;
  background-image:
    url('/wp-content/themes/oshimabeachfamily/assets/img/page-item/background01.svg'),
    url('/wp-content/themes/oshimabeachfamily/assets/img/page-item/background02.svg'),
    url('/wp-content/themes/oshimabeachfamily/assets/img/page-item/background03.svg'),
    url('/wp-content/themes/oshimabeachfamily/assets/img/page-item/background04.svg'),
    url('/wp-content/themes/oshimabeachfamily/assets/img/page-item/background05.svg'),
    url('/wp-content/themes/oshimabeachfamily/assets/img/page-item/background06.svg'),
    url('/wp-content/themes/oshimabeachfamily/assets/img/page-item/background07.svg'),
    url('/wp-content/themes/oshimabeachfamily/assets/img/page-item/background08.svg'),
    url('/wp-content/themes/oshimabeachfamily/assets/img/page-item/background09.svg'),
    url('/wp-content/themes/oshimabeachfamily/assets/img/page-item/background10.svg');
  background-repeat: no-repeat, no-repeat, no-repeat, no-repeat, no-repeat, no-repeat, no-repeat, no-repeat, no-repeat, no-repeat;
  background-position: 66% 51%, 83% 9%, 55% 19%, 106% 25%, 77% 36%, 70% 62%, 58% 73%, 76% 81%, 79% 90%, 70% 99%;
  background-size: 37%, 51%, 40%, 41%, 31%, 11%, 19%, 30%, 45%, 15%;
}

.checklist__title-wrapper {
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 12px;
  padding: 0 18px;

}

.checklist__title {
  margin-bottom: 0;
  text-align: center;
}

.checklist__title-wrapper::before,
.checklist__title-wrapper::after {
  content: '';
  display: block;
  flex: 1;
  width: 50px;
  height: 2px;
  background-color: #ffffff;
}

.checklist-container {
  margin-top: 24px;
}

.category-header {
  display: flex;
  justify-content: space-between;
  align-items: center;
  margin: 6px 0;
  padding: 0 18px;
}

.checklist-container.--noItems .category-header {
  display: none;
}

.category-header__title {
  margin-bottom: 0;
}

.category-header__counter {
  padding: 4px 8px;
  background-color: #6d6d6d;
  border-radius: 4px;
  font-size: 12px;
  line-height: 1.5;
}

.checklist-container.--noItems .checklist {
  display: none;
}

.checklist__item {
  position: relative;
}

.checklist__item:nth-child(even) {
  background-color: #1a1a1a;
  mix-blend-mode: screen;
}

.checklist__label {
  display: flex;
  align-items: flex-start;
  padding: 12px 18px 12px 18px;
}

[data-category="add"] .checklist__label {
  align-items: center;
}

.enabled-active .checklist__label {
  pointer-events: none;
}

.checklist__noItems-text {
  text-align: center;
}

.checklist__noItems-text {
  display: none;
}

.checklist-container.--noItems .checklist__noItems-text {
  display: block;
}

input[type=checkbox].item-icon {
  width: 24px;
  height: 24px;
  border: solid 2px #b3b3b3;
  border-radius: 0;
  background-color: unset;
}

input[type=checkbox].item-icon:checked {
  background-color: #64B7CB;
  border-color: #64B7CB;
}

input[type=checkbox].item-icon::after {
  width: 9px;
  height: 13px;
  top: 44%;
  left: 50%;
  border: .21em solid #ffffff;
  border-top: 0;
  border-left: 0;
  transform: translate(-50%, -50%) rotate(45deg);
}

.item-inner {
  margin-left: 12px;
  flex: 1;
}

.item-name {
  font-size: 16px;
  line-height: 1.5;
  margin-bottom: 4px;
}

[data-category="add"] .item-inner {
  padding-right: 40px;
}

.item-name-textarea {
  font-size: 16px;
  field-sizing: content;
}

.item-description {
  font-size: 13px;
  line-height: 1.5;
  color: #dbdbdb;
}

.star-container {
  display: flex;
  align-items: center;
  gap: 2px;
  margin-right: 32px;
  padding: 6px;
}

.item-star__img {
  display: block;
}

.item-button {
  position: absolute;
  top: 0;
  right: 0;
  padding: 12px 18px 12px 8px;
}

[data-category="add"] .item-button {
  top: 50%;
  transform: translateY(-50%);
}

.item-button img {
  cursor: pointer;
}

.checklist__item .item-buttonImg--on {
  display: none;
}

.checklist__item.enabled-active input[type=checkbox].item-icon:after {
  width: 1px;
  height: 28px;
  opacity: 1;
  border: .21em solid #b3b3b3;
  top: -4px;
  left: 50%;
  border-top: 0;
  border-left: 0;
  transform: translateX(-50%) rotate(45deg);
}

.checklist__item.enabled-active .item-name {
  text-decoration: line-through;
}

.checklist__item.enabled-active .item-buttonImg--off {
  display: none;
}

.checklist__item.enabled-active .item-buttonImg--on {
  display: block;
}

.checklist-wrapper.-add .category-header {
  justify-content: flex-end;
}

.item-addButton {
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 4px;
  margin: 24px auto 0;
  padding: 8px 16px;
  background-color: #000;
  border: solid 1px #ffffff;
  border-radius: 4px;
  cursor: pointer;
}

.item-addButton__text {
  color: #ffffff;
  line-height: 1.5;
  font-size: 14px;
}

#l-main .followAnchor {
  position: fixed;
  bottom: 0;
  right: 0;
  width: 100%;
  z-index: 10;
}

@media screen and (min-width: 720px) {
  #l-main .followAnchor {
    position: relative;
  }
}

#l-main .followAnchor .followAnchor__list {
  display: flex;
  border: solid 1px #b3b3b3;
  background-color: rgba(41, 41, 41, 0.6);
  width: calc(100% - 36px);
  margin: 0 18px 8px;
  padding: 8px 10px;
  border-radius: 999px;
  backdrop-filter: blur(6px);
  -webkit-backdrop-filter: blur(6px);
  max-width: 1000px;
  margin-left: auto;
  margin-right: auto
}

.followAnchor__item {
  width: calc(100% / 2);
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 2px;
  padding: 0;
}

.followAnchor__item:not(:last-child) {
  border-right: solid 2px #b3b3b3;
}

.followAnchor__img {
  width: 24px;
  height: 24px;
}

.followAnchor__text {
  color: #ffffff;
  font-size: 12px;
  line-height: 1.5;
}

.followAnchor_gauge {
  background-color: rgba(41, 41, 41, 0.6);
  border-top: solid 1px #b3b3b3;
  backdrop-filter: blur(6px);
  -webkit-backdrop-filter: blur(6px);
  padding: 8px 18px;
}

.followAnchor_gauge__inner {
  display: flex;
  justify-content: space-between;
  align-items: center;
  gap: 4px;
  max-width: 1000px;
  margin-left: auto;
  margin-right: auto;
}

.gaugeBar {
  flex: 1;
  height: 24px;
  border-radius: 999px;
  background-color: #000000;
  border: solid 1px #64B7CB;
  padding: 3px;
  position: relative;
}

.gaugeBar__progress {
  position: relative;
  width: 100%;
  height: 100%;
  border-radius: 999px;
  background-color: #38484B;
  container-type: inline-size;
}

.gaugeBar__progress-value {
  position: absolute;
  top: 0;
  left: 0;
  width: 0%;
  border-radius: 999px;
  background: linear-gradient(90deg, #64B7CB 0%, #64B7CB 40%, #F2E6D8 60%, #F2E6D8 80%, #FFAAD6 100%);
  background-size: 100cqw 100%;
  background-position: left center;
}

.gaugeCounter {
  text-align: right;
  width: 52px;
}

.gaugeCounter__current {
  font-size: 20px;
  line-height: 1.5;
  color: #64B7CB;
}

.gaugeCounter__total {
  font-size: 12px;
  line-height: 1.5;
}

@media screen and (min-width: 720px) {
  #l-main .followAnchor .followAnchor__list {
    position: fixed;
    top: 50px;
    right: calc(50% - 310px);
    transform: translateX(50%);
    flex-direction: column;
    width: 80px;
    z-index: 10;
  }

  .followAnchor__item {
    width: 100%;
    padding: 24px 0;
    gap: 8px;
  }

  .followAnchor__item:not(:last-child) {
    border-right: none;
    border-bottom: solid 2px #b3b3b3;
  }

  .followAnchor_gauge {
    position: fixed;
    top: 50px;
    left: calc(50% - 290px);
    transform: translateX(-50%);
    width: 80px;
    z-index: 10;
    background: none;
    border: none;
    padding: 0;
  }

  .followAnchor_gauge__inner {
    flex-direction: column;
    align-items: center;
    gap: 8px;
  }

  .gaugeBar {
    height: 300px;
    width: 30px;
    flex: none;
  }

  .gaugeBar__progress-value {
    width: 100% !important;
  }

  .gaugeCounter {
    text-align: center;
  }

  .gaugeCounter {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 6px;
  }

  .gaugeCounter__text {
    display: none;
  }

  .gaugeCounter__total {
    font-size: 16px;
    position: relative;
  }

  .gaugeCounter__total::before {
    position: absolute;
    top: -4px;
    left: 50%;
    transform: translateX(-50%);
    content: '';
    display: block;
    width: 24px;
    height: 1px;
    background-color: #b3b3b3;
  }

  .gaugeBar__progress-value {
    top: auto;
    bottom: 0;
    background: linear-gradient(135deg, #64B7CB 0%, #64B7CB 40%, #F2E6D8 60%, #F2E6D8 80%, #FFAAD6 100%);
    background-size: 100cqh 100%;
  }
}

@media screen and (max-width: 719.999px) {
  .gaugeBar__progress-value {
    height: 100% !important;
  }
}

.followAnchor_gauge__complete-wrapper {
  pointer-events: none;
  position: absolute;
  top: 46%;
  left: 50%;
  transform: translate(-50%, -50%) rotate(-3deg) scale(6);
  width: 110px;
  height: 28px;
  border: solid 2px #a00;
  background-color: rgba(255, 0, 0, 0.15);
  display: flex;
  border-radius: 4px;
  justify-content: center;
  align-items: center;
  padding-bottom: 2px;
  opacity: 0;
}

.followAnchor_gauge__complete-wrapper.is-active {
  transform: translate(-50%, -50%) rotate(-3deg) scale(1);
  opacity: 1;
  transition: transform 0.4s 0.1s ease-out, opacity 0.3s 0.2s ease-out;
}

.followAnchor_gauge__complete-text {
  font-size: 16px;
  line-height: 1.5;
  color: #a00;
  font-weight: bold;
  letter-spacing: 0.05em;
}

@media screen and (min-width: 720px) {
  .followAnchor_gauge__complete-wrapper {
    display: none;
  }
}

#l-main .modal-overlay {
  display: none;
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(0, 0, 0, 0.5);
  z-index: 999;
}

#l-main .modal-overlay.is-active {
  display: block;
}

#l-main .modal-content {
  display: none;
  position: fixed;
  top: 50%;
  transform: translate(-50%, -50%);
  left: 50%;
  width: calc(100% - 36px);
  max-width: 500px;
  height: auto;
  padding: 12px 18px;
  background-color: #000000;
  border: solid 1px #b3b3b3;
  border-radius: 6px;
  z-index: 1000;
}

#l-main .modal-content.is-active {
  display: block;
}

#l-main .modal-content .modal-content__close {
  position: absolute;
  top: 12px;
  right: 18px;
  width: 24px;
  height: 24px;
  cursor: pointer;
}

#l-main .modal-content__body {
  display: none;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  margin-top: 46px;
  text-align: center;
}

#l-main .modal-content__body.is-active {
  display: flex;
}

#l-main .modal-content__body.-howto {
  padding-bottom: 40px;
}

.modal-content__title {
  font-size: 20px;
  line-height: 1.5;
  margin-bottom: 12px;
}

.modal-content__text {
  font-size: 14px;
  line-height: 1.5;
  margin-bottom: 32px;
}

.modal-content__button {
  max-width: 200px;
  width: 100%;
  padding: 8px 16px;
  background-color: #000;
  border: solid 1px #ffffff;
  border-radius: 4px;
  cursor: pointer;
  margin-bottom: 12px;
  font-size: 14px;
  line-height: 1.5;
  color: #ffffff;
}

.modal-content__button.-cancel {
  border: none;
}

#l-footer {
  padding-bottom: 120px;
}

.loading {
  width: 50px;
  height: 50px;
  border-radius: 50%;
  border: 5px solid #4f4f4f;
  border-top-color: #dfdfdf;
  animation: spinner 1.5s linear infinite;
  margin: 20px auto;
}

@keyframes spinner {
  to {
    transform: rotate(360deg);
  }
}


.checklist-wrapper.is-initialized .loading {
  display: none;
}